%define version 0.20
%define myrelease 1

%define srel /etc/SuSE-release
%define rrel /etc/redhat-release
%define mrel /etc/mandrake-release
%define isSUSE %(test -f %{srel} && echo 1 || echo 0)
%define isRH %(test -f %{rrel} && echo 2 || echo 0)
%define isMDK %(test -f %{mrel} && echo 1 || echo 0)
%if "%{isMDK}" > "0"
%define isRH 1
%endif
#
# Running the above, results in:
#
# RedHat:   isSUSE=0 isRH=2 isMDK=0
# Mandrake: isSUSE=0 isRH=1 isMDK=1
# SuSE:     isSUSE=1 isRH=0 isMDK=0
#

%define _qtdir ""
%if "%{isSUSE}" > "0"
%define REL %(grep VERSION %{srel} | sed -e 's/VERSION = //')
%define _initrddir %{_sysconfdir}/init.d
%define distro SuSE%{REL}
%endif
%if "%{isRH}" > "1"
%define REL %(rpm -qf --queryformat '%%{version}' %{rrel})
%define distro RH%{REL}
# Old RH7.2 has QT in qt-2.x.x which is not autodetected in configure
%define _qtdir %(test -n "$QTDIR" && echo \"--with-qt-dir=$QTDIR\" || :)
%endif
%if "%{isMDK}" > "0"
%define REL %(rpm -qf --queryformat '%%{version}' %{mrel})
%define distro mdk%{REL}
%endif

%define realrelease %{myrelease}%{distro}

#
# Conditionals
#
%{?_without_distro: %define realrelease %{myrelease}}
%{?_with_debug: %define __spec_install_post /usr/lib/rpm/brp-compress}
%{?_with_debug: %define _with_debug --enable-debug}
%{?_with_debug: %define optflags -g}
%{!?_with_debug: %define _with_debug --disable-debug}

Summary: Connectivity for psion series 5.
Name: plptools
Version: %{version}
Release: %{realrelease}
Vendor: The plptools project
Packager: Fritz Elfert <fritz.elfert@to.com>
URL: http://plptools.sourceforge.net/
Source0: http://download.sourceforge.net/plptools/plptools-%{version}.tar.gz
Copyright: GPL
Group: Networking/Utilities
Buildrequires: readline-devel
%if "%{isSUSE}" > "0"
Requires: aaa_base >= 2002.3.27-0
%endif
%if "%{isRH}" > "0"
Requires: chkconfig >= 0.9
%endif
BuildRoot: %{_tmppath}/plputils-buildroot

%package devel
Summary: Static library and includes for psion series 5 communication.
Group: Development/Libraries
Requires: %{name} = %{version}

%description
This package contains the programs (client and server), necessary to
communicate with a Psion palmtop. The psion's file-system will
be automatically mounted under /mnt/psion at the time it is
connected to your computer. If the psion is shut down or
disconnected, the contents of /mnt/psion will automatically
disappear. Other programs included are:
 - plpftp, a program which allows you to transfer files in a ftp-like
   manner, view and modifiy processes on your psion.
 - plpprintd, a daemon for enabling printing from a Psion Series 5 via any
   accessible printer.
 - sisinstall, an installer for Psion's SIS software package format.

%description devel
This package contains the static library and include files for building
programs which can communicate with a Psion palmtop.

%description -l de
Dieses Packet enthlt Programme zur Kommunikation mit einem Psion Palmtop.
Das Dateisystem des Psion wird beim Anschlieen automatisch unter
/mnt/psion eingehngt. Wird der Psion ausgeschaltet oder das Kabel
gezogen, so verschwindet der Inhalt dieses Verzeichnisses automatisch
und erscheint erneuten Anschlieen wieder. Weiterhin sind enthalten:
 - plpftp, ein Programm welches eine FTP-hnliche Oberflche fr Dateitransfer
   bietet und Prozesse auf dem Psion stoppen und starten kann.
 - plpprintd, ein Daemon welcher Ausdrucken von einem Psion Serie 5 ber
   beliebige vefgbare Drucker ermglicht
 - sisinstall, ein Installationsprogramm fr das Psion-eigene SIS
   packetformat.

%description -l de devel
Dieses Packet enthlt die statische Bibliothek und include-Dateien
zur Programm-Entwicklung von Kommunikations-software fr den Psion.

%changelog
* Tue Nov 20 2007 Reuben Thomas <rrt@sc3d.org>
- Butchered out the KDE bits; no testing done afterwards

* Fri May 25 2001 Fritz Elfert <fritz.elfert@to.com>
- Added klipsi subpackage

* Thu May 17 2001 Fritz Elfert <fritz.elfert@to.com>
- Official release of version 0.8

* Thu Mar  1 2001 Fritz Elfert <fritz.elfert@to.com>
- Added KDE sub-packages

* Sat Jan 20 2001 Fritz Elfert <fritz.elfert@to.com>
- Updated to latest version
- Using RPM 4 (RH 7.0)

* Mon Jan 17 2000 Fritz Elfert <fritz.elfert@to.com>
- New version 0.5 with lots of bugfixes and additions.

* Sat Aug  7 1999 Fritz Elfert <fritz.elfert@to.com>
- fixed violation of const parameters in rfsv32.cc.
- corrected BLOCKSIZE in mp.h to fix behaviour of "du" program.

%prep
%setup -q
%if "%{isSUSE}" > "0"
# SuSE's depencies are pretty broken. Example: For the KDE stuff,
# RPM's automatic find-requires generates a depency to libGLcore
# if the build-system has Nvidia drivers installed. Our KDE stuff
# definitively does NOT depend on it!
# Therefore, we filter some unnecessary stuff out:
cat<<EOF>find-requires
#!/bin/sh
%{__find_requires} "$@" |egrep -v 'libGL|freetype|libfam'
EOF
chmod a+x find-requires
%define __find_requires %{_builddir}/%{buildsubdir}/find-requires
%endif
%if "%{isMDK}" > "0"
# Mandrake's RPM generates similar odd depencies.
cat<<EOF>find-requires
#!/bin/sh
%{__find_requires} "$@" |egrep -v 'libGL|freetype'
EOF
chmod a+x find-requires
%define __find_requires %{_builddir}/%{buildsubdir}/find-requires
%endif

%build
%if "%{isSUSE}" > "0"
# SuSE's libtools are breaking everything
%define __libtoolize true
%configure --with-initdir=%{_initrddir} %{_with_debug}
%configure --with-initdir=%{_initrddir} %{_with_debug}
%endif
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_prefix} $RPM_BUILD_ROOT%{_initrddir} \
# rpm's makeinstall doesn't work here!
make DESTDIR=$RPM_BUILD_ROOT install
%if "%{isSUSE}" > "0"
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
cat>$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/psion<<EOF
START_NCPD=yes
NCPD_ARGS=
START_PLPFUSE=no
PLPFUSE_ARGS=
START_PLPPRINTD=yes
PLPPRINTD_ARGS=
EOF
install -m755 etc/psion.SuSE $RPM_BUILD_ROOT%{_initrddir}/psion
%endif
%if "%{isRH}" > "0"
install -m755 etc/psion $RPM_BUILD_ROOT%{_initrddir}/psion
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
cat>$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/psion<<EOF
START_NCPD=yes
NCPD_ARGS=
START_PLPFUSE=no
PLPFUSE_ARGS=
START_PLPPRINTD=yes
PLPPRINTD_ARGS=
EOF
%endif
%if "%{isMDK}" > "0"
# Mandrake has a menu configurator
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
ldconfig
test ! -d /mnt/psion && mkdir -p /mnt/psion
%if "%{isRH}" > "0"
/sbin/chkconfig --add psion
%endif
%if "%{isSUSE}" > "0"
/sbin/chkconfig --add psion
%endif

fi

%preun
if [ "$1" = 0 ]
then
	%{_initrddir}/psion stop >/dev/null 2>&1
%if "%{isSUSE}" > "0"
	/sbin/chkconfig --del psion
%endif
%if "%{isRH}" > "0"
	/sbin/chkconfig --del psion
%endif
fi

%files
%doc COPYING INSTALL CHANGES ChangeLog README TODO etc/*magic
%{_bindir}/plpftp
%{_bindir}/sisinstall
%{_sbindir}/*
%{_mandir}/*/*
%{_libdir}/libplp.so.*
%{_libdir}/libplp.la
%{_datadir}/locale/*/LC_MESSAGES/plptools.mo
%{_datadir}/%{name}/*
%{_initrddir}/psion
%if "%{isSUSE}" > "0"
%config %{_sysconfdir}/sysconfig/psion
%endif
%if "%{isRH}" > "0"
%config %{_sysconfdir}/sysconfig/psion
%endif

%files devel
%doc doc/api etc/*.spec
%{_libdir}/libplp.a
%{_libdir}/libplp.so
%{_includedir}/%{name}/*
